Subject: bug#27429: Stack clash (CVE-2017-1000366 etc)

From: Leo Famulari <[email-masked]>
Date: Thu, 22 Jun 2017 15:25:04 -0400

On Thu, Jun 22, 2017 at 02:34:21PM -0400, Leo Famulari wrote:
> It's building stuff, but it downloaded several parts of the bootstrap
> (gettext-boot0, perl-boot0, etc) and is now building the base packages
> of the distribution (perl, etc).
> 
> So, I'm skeptical that it's grafting in the way we need it to. For
> example, I already have the latest Perl binary from `guix build perl`,
> but it's rebuilding Perl now.

I might have spoken too soon. Although Perl was rebuilt, most other
packages were not. So this patch might do the right thing. More review
welcome :)